#
# spec file for package alsa (Version 1.0.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           alsa
BuildRequires:  doxygen resmgr
%define package_version	1.0.11rc2
License:        GPL
Group:          System/Libraries
Provides:       alsa-lib alsa-utils alsa-conf
Requires:       dialog pciutils
PreReq:         %insserv_prereq %fillup_prereq
Autoreqprov:    on
Summary:        Advanced Linux Sound Architecture
Version:        1.0.11
Release:        32.2
Source1:        ftp://ftp.alsa-project.org/pub/lib/alsa-lib-%{package_version}.tar.bz2
Source2:        ftp://ftp.alsa-project.org/pub/util/alsa-utils-%{package_version}.tar.bz2
# Source5:      ftp://ftp.alsa-project.org/pub/oss/alsa-oss-%{package_version}.tar.bz2
Source5:        ftp://ftp.alsa-project.org/pub/oss/alsa-oss-1.0.10.tar.bz2
Source6:        udev-soundfont
Source7:        load-soundfont
Source8:        40-alsa.rules
Source10:       fix-libtool.sh
Source11:       alsasound
Source12:       sysconfig.sound
Source13:       joystick
Source14:       sysconfig.joystick
Source16:       set_default_volume
Source17:       test.wav
Source20:       README.SuSE
Source21:       README.testwav
Source30:       all_notes_off
Source31:       all_notes_off.bin
Source32:       all_notes_off.mid
Patch:          alsa-lib-no-alisp.dif
Patch1:         alsa-lib-cvs-fixes.diff
# Patch2:       alsa-utils-cvs-fixes.diff
Patch3:         alsa-oss-cvs-fixes.diff
Patch10:        alsa-lib-remove-bad-assert.diff
Patch11:        alsa-lib-ladspa-plugin-fix.diff
Patch12:        alsa-lib-fix-recursive-parse.diff
Patch13:        alsa-lib-memleak-fix.diff
Patch14:        alsa-lib-rawmidi-virt-fix.diff
Patch15:        alsa-lib-fix-plug-conversion.diff
Patch16:        alsa-lib-fix-nonblock-open.diff
Patch17:        alsa-lib-pcm-full-duplex-fix.diff
Patch18:        alsa-lib-dmix-xrun-check-in-wait.diff
Patch19:        alsa-lib-ctl-warning-fix.diff
Patch20:        alsa-lib-avoid-unnecessary-resmgr.diff
Patch21:        alsa-lib-fix-close-in-disconnect.diff
Patch22:        alsa-lib-fix-seq-typo.diff
Patch23:        alsa-lib-pcm-rate-overflow-fix.diff
Patch24:        alsa-lib-disconnect-return-enodev.diff
Patch25:        alsa-lib-pcm-rate-fix2.diff
Patch26:        alsa-lib-pcm-rate-free-fix.diff
Patch27:        alsa-lib-pcm-hw-restriction.diff
Patch28:        alsa-lib-pcm-hw-mode-restore.diff
Patch29:        alsa-lib-pcm-extplug-fix.diff
Patch30:        alsa-lib-dmix-varsize.diff
Patch31:        alsa-lib-pcm-timer-size-hack.diff
Patch32:        alsa-lib-dmix-generic-fix.diff
Patch33:        alsa-lib-dmix-2-periods-fix.diff
Patch34:        alsa-lib-32bit-compat-fix.diff
Patch35:        alsa-lib-applptr-sync-fix.diff
Patch36:        alsa-lib-dmix-max-periods.diff
Patch37:        alsa-lib-dmix-binding-range-check.diff
Patch38:        alsa-lib-fix-rate-cpu-hog-in-start.diff
Patch50:        alsa-utils-speaker-test-5.1-fix.diff
Patch51:        alsa-utils-speaker-test-buffer-fix.diff
Patch52:        alsa-utils-alsaconf-lspci-fix.diff
URL:            http://www.alsa-project.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ALSA stands for Advanced Linux Sound Architecture.  It supports many
PCI and ISA PnP sound cards.

This package contains the standard ALSA library, utilities, and init
scripts to start the sound system on your Linux box. To set it up, run
yast2 or alsaconf. They detect ALSA-supported PCI and ISA PnP cards.



Authors:
--------
    Jaroslav Kysela <perex@suse.de>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
License:        GPL
Requires:       glibc-devel %{name} resmgr
Obsoletes:      alsadev
Provides:       alsadev alsa-lib-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Jaroslav Kysela <perex@suse.de>

%package docs
Summary:        Additional Package Documentation.
Group:          System/Libraries
License:        GPL

%description docs
This package contains optional documentation provided in addition to
this package's base documentation.



Authors:
--------
    Jaroslav Kysela <perex@suse.de>

%prep
%setup -c -n alsa -T -a 1 -a 2 -a 5
cd alsa-lib*/.
%patch -p1
%patch1 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
cd ..
cd alsa-utils*/.
# %patch2 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
cd ..
cd alsa-oss*/.
%patch3 -p1
cd ..
%{?suse_update_config:%{suse_update_config -f alsa-lib*/. alsa-utils*/. alsa-oss*/.}}

%build
ALSA_ROOT=`pwd`
ALSA_ROOT_INC=$ALSA_ROOT%{_includedir}
ALSA_ROOT_LIB=$ALSA_ROOT%{_libdir}
ALSA_ROOT_ACLOCAL=$ALSA_ROOT%{_datadir}/aclocal
#
# build alsa-lib
#
cd alsa-lib*/.
libtoolize --force --copy --automake
aclocal
rm -f acconfig.h
autoheader
automake --foreign --copy --add-missing
autoconf
#
# needed an extra option for MIPS
#
%ifarch mips
ARCH_CFLAGS="-mips2"
%endif
#
# now, build the static library at first.
# due to a bug of libtool, we cannot build shared and static libraries
# at the same time...
#
CFLAGS="$RPM_OPT_FLAGS $ARCH_CFLAGS" \
./configure \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --disable-shared \
  --enable-static \
  --enable-resmgr \
  --disable-aload
make
# install it to save
make DESTDIR=$ALSA_ROOT install
#
# ok, then clean up and rebuild the shared library
#
make clean
CFLAGS="$RPM_OPT_FLAGS $ARCH_CFLAGS" \
ACLOCAL=aclocal \
./configure \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --enable-shared \
  --disable-static \
  --enable-resmgr \
  --disable-aload
make
# install it, too - will be used for compiling alsa-utils & co.
make DESTDIR=$ALSA_ROOT install
rm -f $ALSA_ROOT%{_libdir}/alsa-lib/smixer/*.la
rm -f $ALSA_ROOT%{_libdir}/alsa-lib/smixer/*.a
#
# run doxygen
#
make -C doc doc
cd ..
#
# build alsa-utils
#
cd alsa-utils*/.
aclocal -I $ALSA_ROOT_ACLOCAL
rm -f acconfig.h
autoheader
automake --foreign --add-missing
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=%{_prefix} \
  --with-alsa-prefix=$ALSA_ROOT_LIB \
  --with-alsa-inc-prefix=$ALSA_ROOT_INC \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --with-curses=ncursesw
make
cd ..
#
# build alsa-oss
#
cd alsa-oss*/.
libtoolize --force --copy --automake
aclocal -I $ALSA_ROOT_ACLOCAL
automake --foreign --add-missing
autoconf
export LD_LIBRARY_PATH=$ALSA_ROOT%{_libdir}
CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=%{_prefix} \
  --with-alsa-inc-prefix=$ALSA_ROOT_INC \
  --disable-alsatest \
  --libdir=%{_libdir} \
  --mandir=%{_mandir}
sh %{SOURCE10}
make
sh %{SOURCE10}
cd ..

%install
ALSA_ROOT=`pwd`
# Create directories:
# (/usr/lib for fixed all_notes_off data, %_libdir for libs)
for I in	%{_bindir} \
		%{_libdir} \
		/usr/lib \
		%{_sbindir} \
		/etc/init.d \
		%{_datadir}/sounds/alsa \
		/etc/udev/rules.d \
		/etc/alsa.d \
		%{_datadir}/alsa \
		%{_docdir}/%{name}
do
  install -m 755 -d $RPM_BUILD_ROOT$I
done
# copy pre-installed libraries to the build-root
cp -af $ALSA_ROOT%{_prefix} $RPM_BUILD_ROOT
## make -C alsa-lib*/. DESTDIR=$RPM_BUILD_ROOT install
make -C alsa-utils*/. DESTDIR=$RPM_BUILD_ROOT install
make -C alsa-oss*/. DESTDIR=$RPM_BUILD_ROOT install
# remove unused binaries
rm -f $RPM_BUILD_ROOT%{_bindir}/alsalisp
#
# install alsa-lib documents
#
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/alsa-lib
cd alsa-lib*/.
cp COPYING ChangeLog INSTALL TODO MEMORY-LEAK $RPM_BUILD_ROOT%{_docdir}/%{name}/alsa-lib
cp doc/asoundrc.txt $RPM_BUILD_ROOT%{_docdir}/%{name}/alsa-lib
cd ..
#
# install alsa-utils documents
#
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/alsa-utils
cd alsa-utils*/.
cp COPYING ChangeLog INSTALL README TODO $RPM_BUILD_ROOT%{_docdir}/%{name}/alsa-utils
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/alsa-utils/alsamixer
cp alsamixer/README $RPM_BUILD_ROOT/%{_docdir}/%{name}/alsa-utils/alsamixer
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/alsa-utils/aconnect
cp seq/aconnect/README* $RPM_BUILD_ROOT%{_docdir}/%{name}/alsa-utils/aconnect
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}/alsa-utils/aseqnet
cp seq/aseqnet/README* $RPM_BUILD_ROOT%{_docdir}/%{name}/alsa-utils/aseqnet
cd ..
#
# install documents by suse
#
cp %{SOURCE20} $RPM_BUILD_ROOT%{_docdir}/%{name}
cp %{SOURCE21} $RPM_BUILD_ROOT%{_docdir}/%{name}
#
# install set_default_volume script
#
install -c -m 0755 %{SOURCE16} $RPM_BUILD_ROOT%{_bindir}
#
# install test wave file
#
install -c -m 0644 %{SOURCE17} $RPM_BUILD_ROOT%{_datadir}/sounds/alsa/test.wav
#
# install all_notes_off stuff
#
install -c -m 0755 %{SOURCE30} $RPM_BUILD_ROOT%{_bindir}
install -c -m 0644 %{SOURCE31} $RPM_BUILD_ROOT/usr/lib
install -c -m 0644 %{SOURCE32} $RPM_BUILD_ROOT/usr/lib
#
# install alsasound and joystick scripts
#
install -c -m 0755 %{SOURCE11} $RPM_BUILD_ROOT/etc/init.d
install -c -m 0755 %{SOURCE13} $RPM_BUILD_ROOT/etc/init.d
rm -f $RPM_BUILD_ROOT%{_sbindir}/rcalsasound
ln -s ../../etc/init.d/alsasound $RPM_BUILD_ROOT%{_sbindir}/rcalsasound
rm -f $RPM_BUILD_ROOT%{_sbindir}/rcjoystick
ln -s ../../etc/init.d/joystick $RPM_BUILD_ROOT%{_sbindir}/rcjoystick
# udev rules
install -c -m 0644 %{SOURCE8} $RPM_BUILD_ROOT/etc/udev/rules.d
# install helper scripts
install -c -m 0744 %{SOURCE6} $RPM_BUILD_ROOT/etc/alsa.d
install -c -m 0744 %{SOURCE7} $RPM_BUILD_ROOT/etc/alsa.d
#
# install template to update rc.config and sysconfig files:
# (updating the actual files is done in the %post-script)
#
mkdir -p -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig
for i in sound joystick; do
  install -m 644 $RPM_SOURCE_DIR/sysconfig.$i $RPM_BUILD_ROOT/var/adm/fillup-templates
done

%post
%run_ldconfig
%ifnarch sparc sparc64
%{rename_sysconfig_variable START_ALSA_SEQ LOAD_SEQUENCER}
# fixed obsolete (wrong) variable.
if [ -f etc/sysconfig/sound ]; then
  if grep -q LOAD_ALSA_SEQ etc/sysconfig/sound; then
    sed -e s/LOAD_ALSA_SEQ/LOAD_SEQUENCER/g < etc/sysconfig/sound > etc/sysconfig/sound.new
    mv -f etc/sysconfig/sound.new etc/sysconfig/sound
  fi
fi
%{fillup_and_insserv -nsy sound alsasound START_ALSA}
%{fillup_and_insserv -n joystick joystick}
if [ -f /bin/rpm.bin -a -f /bin/rpm.sh -a -f /bin/uname.sh -a -f /bin/uname.bin ]; then
  # do nothing in autobuild environment
  :;
else
  # check whether the obsolete /etc/asound.conf exists.
  if [ -f etc/asound.conf ]; then
    if grep -q '^soundcard(".\+") {' etc/asound.conf; then
	echo "The obsolete /etc/asound.conf is found."
	echo "Renaming it to /etc/asound.conf.saved..."
	mv -f etc/asound.conf etc/asound.conf.saved
    fi
  fi
fi
%endif
exit 0

%preun
%ifnarch sparc sparc64
%stop_on_removal alsasound joystick
%endif
exit 0

%postun
%run_ldconfig
%ifnarch sparc sparc64
%restart_on_update alsasound joystick
%insserv_cleanup
%endif
exit 0

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_docdir}/%{name}
%{_libdir}/libasound.so*
%{_libdir}/libaoss.so*
%{_libdir}/libalsatoss.so*
%{_libdir}/alsa-lib
%ifnarch sparc sparc64
%{_datadir}/sounds/alsa
/etc/init.d/*
%{_sbindir}/*
%{_bindir}/*
/usr/lib/all_notes_off.*
%{_datadir}/alsa
%{_datadir}/locale/*/*/*
/var/adm/fillup-templates/*
/etc/udev
/etc/alsa.d
%doc %{_mandir}/man*/*
%doc %{_mandir}/fr
%endif

%files devel
%defattr(-, root, root)
%{_libdir}/libasound.*a
%{_libdir}/libaoss.*a
%{_libdir}/libalsatoss.*a
%{_libdir}/libossredir.*a
%{_includedir}/sys/*
%{_includedir}/alsa
%{_includedir}/oss-redir.h
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc

%files docs
%defattr(-, root, root)
%doc alsa-lib*/doc/doxygen/html/*

%changelog -n alsa
* Thu Apr 27 2006 - tiwai@suse.de
- fix segfault with direct plugins when invalid channel binding
  parameters are given.
- fix CPU hog by artsd together with rate plugin.
* Mon Apr 24 2006 - tiwai@suse.de
- fix udev rules to use "==" instead of "=".
* Wed Apr 12 2006 - tiwai@suse.de
- revert a part of the last fix for aoss, which is rather harmful
  for apps like bmp (#165555)
* Mon Apr 03 2006 - tiwai@suse.de
- fix skipping sounds with dmix on aoss (#162771, #162442)
- fix stutering playback of KDE sounds (#162261)
* Wed Mar 29 2006 - tiwai@suse.de
- fix the bogus -EPIPE detection (and thus may lead to hang up)
  in 32bit compat mode (ALSA bug#1938).
- correct a typo in the help text of speaker-test
* Fri Mar 24 2006 - tiwai@suse.de
- fix the endless poll() loop without starting PCM
- fix the noisy output and xrun from dmix with 2 periods
- fix the broken period/buffer size handling in speaker-test
- fix the parse of lspci output in alsaconf.
* Tue Mar 21 2006 - tiwai@suse.de
- fix the wrong read size with 32bit apps on 64bit kernel
  (#159308)
- fix the buffer-size restriction of dmix (#114745)
- fix generic dmix conversion code (mainly for ppc)
- fix alsasound init script to close device files properly
  (#157977)
* Mon Mar 20 2006 - tiwai@suse.de
- fix the possible double free in pcm rate plugin (ALSA
  bug#1937)
- fix surround40/51 PCMs (ALSA bug#1914)
- fix the restoration of the original open mode in hw PCM,
  resulting in CPU hog with emu10k1 (ALSA bug#1938)
- fix hw-constraints in extplug plugin, added init callback
* Mon Mar 13 2006 - tiwai@suse.de
- added $LOAD_OSS_SEQ_MODULE in sysconfig/sound for (optional)
  auto-loading of snd-seq-oss (#155332).
- fix bugs in drain with PCM rate plugin (taken from upstream).
* Fri Mar 03 2006 - tiwai@suse.de
- Fix from upstream: fix the return value to -ENODEV from
-ENOTTY in alsa-lib functions when the device is
  disconnected.
* Thu Mar 02 2006 - tiwai@suse.de
- fix segfault with PCM rate plugin (ALSA bug#1878)
- fix speaker-test with 5.1 channels
* Mon Feb 27 2006 - tiwai@suse.de
- fixed close functions in the disconnected state, resulting in
  invalid states and memory leaks.
- fixed a typo in sequencer (possible memory leak).
* Mon Feb 20 2006 - tiwai@suse.de
- avoid unnecessary call of resmgr (#145934)
* Mon Feb 20 2006 - tiwai@suse.de
- fixed the infinite loop of snd_pcm_wait due to XRUN (#149894)
- fixed the compile warning on 64bit arch.
* Fri Feb 17 2006 - tiwai@suse.de
- fix the assert with float conversion (#149894).
- fix full-duplex confliction with dmix/dsnoop plugin.
- fix the default behavior of non-blocking open mode.
* Wed Feb 08 2006 - tiwai@suse.de
- fixed small memory leaks in the alsa-lib parser.
- fixed a typo in rawmidi_virt plugin.
* Mon Jan 30 2006 - tiwai@suse.de
- fixed alsasound script for the first yast2 config (#145934)
* Mon Jan 30 2006 - tiwai@suse.de
- fixed the segfault at parsing recursive definitions and the
  handling of the string slave of direct PCM plugins (#146447)
* Fri Jan 27 2006 - tiwai@suse.de
- removed invalid assert in alsa-lib
- fixed ladspa plugin in alsa-lib
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - tiwai@suse.de
- Fix the non-blocking open mode (used non-blocking open mode as
  default, too)
- Support of multiple cards/devices with direct plugins
* Thu Jan 12 2006 - tiwai@suse.de
- PCM simple helper functions
- ICE1712 conf to use dmix/dsnoop
- Fix S24_BE format
- Fix mixer switch handling in aoss
- Improved alsasound script for restarting/reloading
* Wed Jan 11 2006 - tiwai@suse.de
- Fix a typo in load-soundfont script (#141761)
* Mon Jan 02 2006 - tiwai@suse.de
- updated to version 1.0.11rc2.
* Wed Dec 14 2005 - tiwai@suse.de
- updated to version 1.0.11rc1.
* Fri Nov 25 2005 - tiwai@suse.de
- Move udev rules to alsa package.
* Wed Nov 23 2005 - tiwai@suse.de
- updated to version 1.0.10-final.
- CVS patches as of 2005.11.23.
- fixed a typo in alsasound script.
* Tue Nov 08 2005 - perex@suse.de
- updated to version 1.0.10rc3
- changed --with-prefix to --prefix
- removed RPM_BUILD_ROOT cleanup from %%install
* Thu Oct 27 2005 - tiwai@suse.de
- Update to CVS 2005.10.27.
- fixed PCM mmap mode with plugins.
- optimize / improve aoss wrapper.
- improve aplay/arecord option parsing.
- Fix alsasound init script.
* Wed Oct 12 2005 - tiwai@suse.de
- updated to version 1.0.10rc2.
* Thu Sep 29 2005 - tiwai@suse.de
- Fix type-punning with the latest gcc
- Mute volume at shutdown (#117277)
* Wed Sep 14 2005 - tiwai@suse.de
- Fix bugs of dmix on big-endian architectures (#117048)
- Fix the argument of semctl() with union.
- Fix the mixing code, accepts both endians.
- Fix alsa-lib configurations.
- Fix hwcfg file name generated by alsaconf (#117046).
* Mon Sep 12 2005 - tiwai@suse.de
- Fix the error with chown() in direct plugins when the user
  doesn't belong to the group (#115817).
- Fix segfault of PCM hooks plugin (#116568)
- Load snd-seq module if requested (#116557).
- Fix uninitialized pollio variable in pcm.c.
* Thu Sep 08 2005 - tiwai@suse.de
- Fix the permission of socket of direct plugins (#115817)
- Fix the modem definition on hda-intel (#115253)
* Fri Sep 02 2005 - tiwai@suse.de
- Fix the internal buffer allocation of alsa-lib plugins,
  including the fix for ICE1724 config (#115019)
* Fri Sep 02 2005 - tiwai@suse.de
- Fix aoss with bi-arch (#114961)
* Thu Sep 01 2005 - tiwai@suse.de
- Fix PM resume with aoss (#114690)
* Wed Aug 31 2005 - tiwai@suse.de
- Fix crash of knotify (#105772)
* Fri Aug 26 2005 - tiwai@suse.de
- fixed alsasound restart (#113239)
- fixed the handling of -EINTR during resume of dmix (#104100)
- fixed the buffer size of speakertest (ALSA BTS #1304)
- fixed isapnp detection of alsaconf (ALSA BTS #1326)
- added a description about new init script
* Thu Aug 18 2005 - tiwai@suse.de
- Fix invalid read warnings detected by valgrind2 (#105572)
* Thu Aug 18 2005 - tiwai@suse.de
- Fixed races in direct plugins (#104884)
- Fix/clean up aoss wrapper
- Fixed memory leak in alsa-lib pcm configuration
* Tue Aug 16 2005 - tiwai@suse.de
- fix PM of direct plugins (#104100)
* Fri Aug 12 2005 - tiwai@suse.de
- fix biarch problem with dmix (#104424)
- fix default IPC permissions to 0660
* Wed Aug 10 2005 - tiwai@suse.de
- fixed segfault of aoss (#103780)
- take back alsa udev script for soundfonts (#103814)
- fixed probing of isapnp devices
* Fri Aug 05 2005 - tiwai@suse.de
- fix alsaconf to set up hwcfg-* to follow the new sound system
  on SL10.0.
* Wed Aug 03 2005 - tiwai@suse.de
- update to ALSA cvs 2005.08.03.
- removed obsolete usb map stuff.
- removed resmgr dev scripts.
- modified alsasound init script to do minimal jobs in start/stop.
  reload/unload are used to force module-reloading.
* Mon Jun 27 2005 - tiwai@suse.de
- added resmgr to Requires of alsa-devel to make the build checker
  script easier.
* Thu Jun 02 2005 - tiwai@suse.de
- updated to version 1.0.9-final.
- CVS updates 2005.06.02
* Tue May 24 2005 - tiwai@suse.de
- updated to version 1.0.9rc4.
* Fri May 20 2005 - tiwai@suse.de
- CVS 2005.05.20: fixes permissions and dmix stuff.
* Tue May 17 2005 - tiwai@suse.de
- CVS 2005.05.16: more fixes on dmix and rate plugins.
* Fri May 13 2005 - tiwai@suse.de
- updated to version 1.0.9rc3.
* Wed Apr 20 2005 - tiwai@suse.de
- fix segfault of rate plugin.
- change the value of $LIBASOUND_DEBUG to integers.
* Fri Apr 08 2005 - tiwai@suse.de
- another try to fix dmix hang-up bug.
* Tue Apr 05 2005 - tiwai@suse.de
- added the large-file support on alsa-oss wrapper.
- fixed dmix hang-up problems.
- fixed the wrong channel_info on some plugins.
* Fri Apr 01 2005 - tiwai@suse.de
- updated to ALSA 1.0.9rc2.
- fixed compilation with gcc-4.0.
* Wed Mar 16 2005 - tiwai@suse.de
- Fixed default "front" volume (bug #72971)
- Fixed the device-open check for sequencer (bug #72368)
* Tue Mar 15 2005 - tiwai@suse.de
- fixed suspend/resume with dmix, dsnoop, dshare plugins
  (#72780)
* Fri Mar 11 2005 - tiwai@suse.de
- Fixed wrong memory free in alsa-lib.
- Addition of a new user-control API function for external PCMs.
- Fixed documents of external PCM plugins.
- Fixed Aureon 7.1 configuration.
- Minor fixes for valgrind.
- Fixed the segfault with PCM file plugin.
- Addition of missing sequencer macro.
- Fixed typos in iecset.
* Thu Feb 24 2005 - tiwai@suse.de
- fixed the card type for each config with softvol.
- got rid of debug prints in udev scripts (bug #66476)
* Tue Feb 22 2005 - tiwai@suse.de
- use ncursesw for alsamixer
- fixed distribution check in alsaconf
- split aseqdump from arecmidi
- fixed man pages
- try to modprobe always in alsasound init script at start
- updated alsasound.usermap.
* Fri Feb 18 2005 - tiwai@suse.de
- CVS patch 20050218:
- fix speaker-tools
- fix the weight of Side mixer elements
- use softvol as default for VIA823/8237
- fixed resmgr support (a typo in configure options).
* Wed Feb 16 2005 - tiwai@suse.de
- fixed amidi command options.
- fixed configure option for shared alsa-lib.
- fixed the path of resmgr.
* Mon Feb 14 2005 - tiwai@suse.de
- CVS patch 20050214:
- disable access to /dev/aload*
- external filter-plugin SDK
- dl-object cache
- Initialize hardware via hotplug/udev
  alsactl, etc are called in dev.d/* scripts
* Fri Feb 11 2005 - tiwai@suse.de
- CVS patch 20050211:
- fixed resmgr support, enable it as default
- external PCM I/O plugin support
* Fri Feb 04 2005 - tiwai@suse.de
- CVS patch 20050204:
- fixed segfaults with mixer event handling.
* Wed Feb 02 2005 - tiwai@suse.de
- CVS patch 20050202:
- fixed function-in-function
- fixed exit code of alsa-utils programs
* Thu Jan 27 2005 - tiwai@suse.de
- CVS patch 20050127:
- dmix and dsnoop for default PCMs on many chips
- pcm link fix
- resmgr support (not enabled yet, waiting for fix in udev)
* Tue Jan 18 2005 - tiwai@suse.de
- include fixes for alsa-lib and alsa-utils from CVS.
* Thu Jan 13 2005 - tiwai@suse.de
- updated to version 1.0.8-final.
* Mon Jan 03 2005 - tiwai@suse.de
- updated to version 1.0.8rc2.
* Wed Nov 17 2004 - tiwai@suse.de
- updated to version 1.0.7.
* Thu Sep 30 2004 - tiwai@suse.de
- unmute/adjust 'Master Mono' in alsaconf as default.
* Thu Sep 30 2004 - tiwai@suse.de
- fixed segfault when printing help of aserver.
- fixed card-specific include files in alsa-lib.
- fixed ICH4 SPDIF support.
- fixed card aliases.
- fixed segfault when configuring the invalid sw_params.
- fixed shadow parameters in alsa-lib headers.
- fixed the handling of config files in alsaconf.
- fixed manpages in alsa-utils.
* Thu Sep 16 2004 - tiwai@suse.de
- fixed downsampling.
- fixed the error handling in dmix plugin.
- fixed alsa.m4 to avoid invalid reductions in $LIBS.
- fixed aplay for large file I/O and VOC file playback.
* Mon Sep 13 2004 - tiwai@suse.de
- fixed the infinite loop in alsa-lib parser.
* Tue Aug 31 2004 - tiwai@suse.de
- fixed alsaconf probing and options.
- fixed usb usermap for snd-usb-usx2y driver.
* Fri Aug 27 2004 - tiwai@suse.de
- updated to 1.0.6 final.
- added the new supported card config files.
- support the seprate playback/capture view on alsamixer.
- don't load snd-seq-oss in alsasound script.
* Thu Aug 12 2004 - ro@suse.de
- added libpng to neededforbuild (for doxygen)
* Thu Aug 05 2004 - tiwai@suse.de
- updated to 1.0.6rc1.
- Clean up alsasound init script.
* Thu Apr 15 2004 - tiwai@suse.de
- updated to version 1.0.4.
- fixed ACPI suspend/resume handling (#38571).
- removed the obsolete %%post stuffs.
- removed the unneeded sleep in alsasound.
- fixed the handling of '-' and '_' letters in module names.
* Fri Apr 02 2004 - kukuk@suse.de
- alsasound: Fix Start/Stop Requires
* Mon Mar 29 2004 - tiwai@suse.de
- fixed REAME.SuSE.
- fixed the SPDIF output of Nforce.
- fixed snd_pcm_wait() for direct plugins.
- fixed the rate plugin to mangle avail_min.
- fixed the wrong copy problem in capture of rate plugin.
- fixed the closing bug of alsa-oss.
- fixed the pcm handling in alsa-oss.
- updated usb audio map.
* Fri Mar 19 2004 - tiwai@suse.de
- fixed alsaconf for the legacy chip probing (#36256).
- fixed alsaconf for the dell board.
- fixed aplay/arecord for largefile support.
- improved the PCM polling.
- fixed segfaults in dmix codes.
- included some h/w specific headers into alsa-lib.
- fixed mono output definitions in emu10k1 configs.
* Mon Mar 08 2004 - tiwai@suse.de
- updated to alsa-lib 1.0.3a.
* Mon Mar 01 2004 - tiwai@suse.de
- updated to alsa-oss 1.0.3a.
* Mon Mar 01 2004 - tiwai@suse.de
- 1.0.3-final package.
* Fri Feb 27 2004 - tiwai@suse.de
- use asfxload for emu10k1 and sbawe scripts.
- added sleep in alsasound to get sync with device files.
- added LOAD_OSS_EMUL_MODULES in sysconfig/sound.
- alsa-oss 1.0.3rc3.
* Thu Feb 26 2004 - tiwai@suse.de
- updated to version 1.0.3rc2.
- regenerated usb usermap.
* Thu Feb 12 2004 - tiwai@suse.de
- updated to version 1.0.2.
- fix for stripping RPATH from libaoss (thanks to kraxel's script).
* Fri Jan 16 2004 - pth@suse.de
- Fix quoting in alsa.m4
* Mon Jan 12 2004 - adrian@suse.de
- build as user
* Fri Jan 09 2004 - tiwai@suse.de
- updated to version 1.0.1.
* Mon Nov 17 2003 - tiwai@suse.de
- updated to version 1.0.0pre1.
  now new API is used as default.  the apps with old API should
  define ALSA_PCM_OLD_HW_PARAMS_API and ALSA_OLD_SW_PARAMS_API
  to keep using the old-style API.
* Wed Sep 17 2003 - tiwai@suse.de
- fixed the broken dmix plugin with 32bit samples.
- implemented the dmix plugin for x86-64.
- apply the last missing patch.
* Mon Sep 15 2003 - tiwai@suse.de
- don't remove joydev in joystick script (bug #30661).
* Thu Sep 11 2003 - tiwai@suse.de
- fixed the rate conversion plugin.
- fixed the aplay to set up correctly with unconventional rates.
- fixed the manpage of aplay and arecord.
- fixed the range calculation overflow in alsamixer.
* Mon Sep 08 2003 - tiwai@suse.de
- fixed dmix, dshare, dsnoop plugins.
- fixed alsaconf for the recent modutils.
* Mon Sep 01 2003 - tiwai@suse.de
- fixed config files for audigy boards.
* Wed Aug 27 2003 - tiwai@suse.de
- fixed the wrong name (typos) of snd_seq_port_info_timestamp
  functions.
- added MEMORY-LEAK note.
* Thu Aug 14 2003 - tiwai@suse.de
- rewrite alsasound init script to accept reload for reloading
  the sysconfig changes.
- added meta data to sound and joystick sysconfig files
  (bug #28941, #28887).
* Wed Aug 13 2003 - tiwai@suse.de
- updated alsa-lib to 0.9.7-pre (cvs 2003.08.13)
- updated usb usermap.
* Tue Aug 05 2003 - tiwai@suse.de
- fixed lsmod path (bug #28430).
* Thu Jul 31 2003 - meissner@suse.de
- Adapted symbol version defines for ppc64 (should be reusing the
  macro mess from glibc though).
* Wed Jul 30 2003 - tiwai@suse.de
- removed unsued binary file the filelist.
- added the fix for via82xx renaming.
- clean up the post-install code.
- added post_on_removal and restart_on_update for alsasound and
  joystick services.
* Mon Jul 28 2003 - tiwai@suse.de
- updated to version 0.9.6.
* Fri Jul 18 2003 - tiwai@suse.de
- updated to version 0.9.5.
- fixed alsasound and alsaconf for the new modutils.
* Fri Jul 04 2003 - tiwai@suse.de
- updated to version 0.9.4.
- fixed the option of head command in alsa-scripts (bug #27413).
- updated alsaconf; -p shows the card name, too.
* Fri Jun 13 2003 - ro@suse.de
- added /etc/hotplug and /etc/hotplug/usb to filelist
* Tue May 27 2003 - ro@suse.de
- add static libaoss to filelist of devel subpackage
* Tue Apr 15 2003 - tiwai@suse.de
- fixed the option of head command in the new POSIX way.
* Mon Mar 17 2003 - tiwai@suse.de
- fixed alsaconf to run for suse modules (bug #25440).
- don't unload soundcore and gameport modules in alsasound
  init script - they may be used by other services/devices
  (bug #24091).
* Mon Mar 10 2003 - tiwai@suse.de
- fixed arecord to write a better WAV file header for stdout
  (bug #24845).
* Wed Mar 05 2003 - tiwai@suse.de
- try to restore the old style elements (cardX) even after the id
  is changed.  this will prevent the silent state after updating
  the package.
- fixed the feedback address in README.SuSE.
* Mon Feb 24 2003 - tiwai@suse.de
- added -F option to alsactl in alsasound init script.
* Thu Feb 20 2003 - tiwai@suse.de
- don't use nested functions on non-ix86 architectures.
* Mon Feb 17 2003 - tiwai@suse.de
- updated to cvs20030217.
  including dmix plugin support.
- mute the master volume at unloading to avoid clicks.
* Fri Feb 07 2003 - tiwai@suse.de
- updated to cvs20020307.
- fixed aplay bug.
- added the support of new timer interface.
- updated usb map.
* Wed Jan 29 2003 - tiwai@suse.de
- fixed the versioned symbols of hook pcm and meter plugins.
- fixed -d option of aplay.
* Tue Jan 21 2003 - tiwai@suse.de
- fixed the dlopen for hook, ladspa and meter pcm plugins.
- added configuration files for ENS1371 and VIA8233.
- fixed the handling of 24bit/3bytes samples.
- updated USB usermap.
* Thu Jan 16 2003 - tiwai@suse.de
- added the metadata to sysconfig files (bug #22689).
* Wed Dec 18 2002 - tiwai@suse.de
- updated to 0.9.0rc7-pre; regenrated tarballs from cvs.
- regenerated usb usermap.
- removed patches.tar.bz2.  patches will be listed on spec.
- added SOUNDFONT_FILES in sysconfig/sound, which is used in sbawe
  and emu10k1 init scripts (bug #21622).
- removed alsa-dummy library, since KDE2 is no longer supported.
- removed alsa-kernel header files from devel sub-package.
  alsa-tools will include the necessary header files in itself.
* Fri Dec 13 2002 - tiwai@suse.de
- fixed the build with the latest automake & co.
* Mon Nov 11 2002 - ro@suse.de
- fix deprecated multiline string literal in aplay.c
* Tue Sep 03 2002 - tiwai@suse.de
- alsactl tries to restore the mixer elements as much as possible.
  this will avoid "failure" status of alsasound after a driver is
  updated.  (bug #18823)
- fixed invalid use of assert in mixer.
- probe more possible dmas for cs and es18xx cards in alsaconf.
- load snd-usb-midi module additionally if necessary in alsa usb
  script.
* Thu Aug 29 2002 - tiwai@suse.de
- fixed hotplug start script.
- fixed wrong assertion in alsa-lib.
- added the support for 24bit wav and new options -C and -P
  to aplay.
* Fri Aug 23 2002 - tiwai@suse.de
- added the hotplug usermap and script files (bug #16768).
* Tue Aug 20 2002 - tiwai@suse.de
- fixed the detection of powermac driver on alsaconf.
* Fri Aug 16 2002 - tiwai@suse.de
- use the rc3 tarballs (meaning only version up).
- fixed alsa-lib's configure to get the newest auto-tools running.
- updated the comments on power management.
* Wed Aug 14 2002 - tiwai@suse.de
- fixed X-UnitedLinux-Should-Start in init script.
* Thu Aug 01 2002 - tiwai@suse.de
- added PreReq.
- improved alsa-lib documentations.
- fixed alsaconf for redhat :)
- added windows' path for soundfonts on emu10k1 script.
- provides scripts for more cards with opl3.
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 22 2002 - tiwai@suse.de
- fixed 3byte format conversion in plugins.
- fixed route pcm plugin.
  fixed calculation of norm.
* Tue Jul 16 2002 - meissner@suse.de
- Fixed lib64 problem (/usr/lib was not created on lib64 platforms,
  but is used for data files).
* Mon Jul 15 2002 - tiwai@suse.de
- split gamix and alsa-tools as individual packages.
- removed unused files from package sources.
- fixed 3byte format access and unsigned linear conversion
  plugins on alsa-lib.
* Wed Jul 03 2002 - tiwai@suse.de
- fixed README.SuSE.
- alsaconf builds the card database by itself.
- added -s option to alsaconf to specify the test wav file.
- removed obsolete cardid files on docdir.
* Wed Jun 26 2002 - tiwai@suse.de
- changed the format ioctl mask.
  added the backward compatible ioctls.
- don't check the error of running-mode ioctl for backward
  compatibility.
- modprobe snd-ioctl32 in alsasound script.
* Fri Jun 21 2002 - tiwai@suse.de
- fixes and enhances for 64bit architectures.
  sequencer has a new ioctl, RUNNING_MODE is used to check the
  running 32/64 bit mode of the client.
* Wed Jun 19 2002 - tiwai@suse.de
- moved alsa drivers into kernel-source package.
  this package includes only the header files from alsa-kernel
  tar ball to reduce the size.
  km_alsa is no longer generated.
- support for 3-bytes packed formats (e.g. usb audio 24bit
  format)
* Tue Jun 11 2002 - tiwai@suse.de
- version alsa 0.9.0 rc1.
- added new pnp id for cs4236.
- improved rme32 driver.
- fixed resource handling of rme9652 driver.
- added hdsp driver.  snd-rme9652-mem is renamed to
  snd-hammerfall-mem.
- added experimental usb audio driver.
- fixed pmac driver.  added auto-muting support as well as on
  0.5.x driver.
  tone controls and DCR support for tumbler chip.
  tone control and amplifier for screamer chip.
- removed own i2c functions from pmac driver.  now using the
  standard i2c interface and i2c-keywest module.
- added 64bit integer support on control API.
- fixed cs4281 driver.  supporting two codecs experimentally.
- fixed capture of aplay on big endian.
- fixed sysex encoding of sequencer.
- fixed the module counter on gus driver.
- removed EXPORT_NO_SYMBOLS from the code of alsa-kernel.
  moved to alsa-driver for compatibility.
- support of RME9636, RME9652 and GUS configurations.
- fixed the check of return values from copy_*_user().
- fixed via8233 driver to work on via8233A.  using multi-channel
  SGD for playback.
- fixed es1968's hardware volume control.
- added 2ch to 4ch duplication switch to ymfpci.
- added support for spdif on cirrus logic's ac97 codecs.
- fixed Makefile and Config.in for 2.5 kernels.
- removed the obsolete snd_seq_create_event() from sequencer API.
  fixed alsa.m4 for this change.
- fixed detection of ews64 card.
- fixed null pcm plugin.
- added options to set uid, gid and mode of alsa's device files
  to alsaconf script.  as default alsaconf doesn't set such
  options.  for secure set up, call with -r option.
* Tue May 07 2002 - tiwai@suse.de
- fixed hardware volume control on es1968.
- optimized rme32 driver.
- more complete naming of ich chipsets.
- fixed rear playback via wave surround on emu10k1.
- fixed trident driver for big endian.
- fixes for 2.2 kernels.
- fixed aplay to play 16bit-au format correctly.
- fixed typo in amixer.
* Fri May 03 2002 - tiwai@suse.de
- alsasound sets default volumes for all cards if no asound.state
  is found.
- unmute mic in set_default_volume script.
- integrated via8233 to via686.  via8233 module still exists,
  though.
- fixed emu10k1 on big-endian machines.
- fixed inverted cmi8330 pcm volume.
- support --with-softfloat option to alsa-libs' configure.
- fixed check of include path in alsa-driver's configure.
- fixed compile on alpha.
- added a new control switch to toggle shared rear/line-in on
  ymfpci.
- removed list-muti from Makefile of alsa-kernel.
- fixed compile of powermac drivers.
- fixed possible deadlock of timer module.
- added pcm playback using emu8000 on sbawe driver.
- fixed panning of sbawe's wavetable.
- phone and mic registers can have 5-bit resolution on ac97.
- fixed compile of drivers on 2.2 and early 2.4 kernels.
* Thu May 02 2002 - meissner@suse.de
- dropped qt dependencies, are not needed apparently.
* Tue Apr 23 2002 - tiwai@suse.de
- fixed deadlock on intel8x0.
- fixed deadlock on ice1712.
- fixed Config.in for alsa-kernel.
- improved detection of cmi8330 chip.
- improved detection of OPL4.
- fixed behavior of midi input on oss sequencer emulation.
- a bit clean up of sequencer core.
- fixed virmidi on sbawe/emu10k1 wavetables.
- clean up alsaconf script.
* Fri Apr 19 2002 - tiwai@suse.de
- build alsa static library separately from shared lib
  (due to a bug of libtool).
- moved ipaq driver into alsa-kernel.
- new driver: rme32.
- fixed possible locking on sequencer.
- fixed non-compatible variables (LOAD_ALSA_SEQ).
- invoke soundfont and opl3 scripts only when LOAD_SEQUENCER
  is set.
- fixed duplicated object lists in Makefile.
  (a workaround for make modules_install)
- using new vararg macro on gcc3.
- fixed sound_core.c
- removed ipc code from sequencer.
- fixed capture plugins.
* Tue Apr 16 2002 - tiwai@suse.de
- fixed capture on OSS emulation mode.
- fixed digital/analog switch on SB live and audigy.
* Mon Apr 15 2002 - tiwai@suse.de
- updated ipaq driver.
* Fri Apr 12 2002 - tiwai@suse.de
- fixed build on mips.
* Wed Apr 10 2002 - tiwai@suse.de
- install non-stripped binaries as default.
* Tue Apr 09 2002 - tiwai@suse.de
- updated gamix to 1.99.p13.
  added pkgconfig to neededforbuild.
- fixed compile drivers on 2.2 kernel.
- added --libdir options to configure to make sure building
  for lib64.
- use dot instead of underscore in the rpm version.
- improved the detection of spdif on ens1371.
- fixed spdif i/o on ewx24/96.
- fixed OSS mmap emulation.
- added the drivers for arm (iPAQ).
- added new pnp id for cs4236.
- fixed arecord to capture raw data.
- added spdif support on wolfson ac97 codec.
- increase the max. number of rawmidi devices to 8.
- added -D option to amixer (just like on alsamixer).
- fixed digital/analog switch for audigy.
- added presario700 workaround on ac97 codec.
- added boot-up script for sb16 to load opl3 files.
* Fri Apr 05 2002 - ro@suse.de
- fixed gamix to build with new gettext
* Mon Mar 25 2002 - tiwai@suse.de
- fixed spdif-input clock selection on EWX24/96.
* Mon Mar 25 2002 - tiwai@suse.de
- added -Y to fillup_and_insserv joystick (bug #15433).
- removed check of joydev module at start of joystick script
  (bug #15441).
- force to proceed even if ac97 not responding (bug #15428).
- fixed clock detection messages on intel8x0.
- support VIA8233 on via686 driver (bug #13786).
* Fri Mar 22 2002 - tiwai@suse.de
- real fix for sb16 vibra.  merged forgotten patch.
- fixed aseqnet.
- fixed the use of size_t in sequencer headers.
- fixed alsamixer; no longer aborted on es1938 mixer.
* Wed Mar 20 2002 - tiwai@suse.de
- fixed capture on sb16 vibra.
* Tue Mar 19 2002 - tiwai@suse.de
- fixed assignment of DMAs on als100 driver.
- removed zero-initialization of static variables to move (to
  data block).
- fixed compile of emu10k1 on 2.2 kernel.
- fixed detection of Delta 1010LT.
- moved description of serial driver to Documentation directory.
* Wed Mar 13 2002 - tiwai@suse.de
- corrected texts.
- fixed playback rate on via686 driver.
- clean up via8233 driver.
- improved rate converter again.
* Tue Mar 12 2002 - tiwai@suse.de
- more fix for alsa-lib rate converter.
- fixed handling of capture volume/switch on simple mixer API.
  fixed alsamixer, too.
- fixed pci ids for AMD chips.
  cards.txt and cardids.txt are updated, too.
* Mon Mar 11 2002 - tiwai@suse.de
- fixed support of vibra16 on sb16 driver.
* Mon Mar 11 2002 - tiwai@suse.de
- fixed xrun problems on alsa-lib rate converter.
- fixed pci id definitions for AMD8111.
* Mon Mar 11 2002 - tiwai@suse.de
- fixed/clean-up rawmidi driver.
- fixed compile or rtc-timer.
* Sat Mar 09 2002 - tiwai@suse.de
- fixed segfault of aplay with a larger wav header.
- clean up emu8000 and wavefront drivers; added __init prefixes.
- fixed capture on audigy.
* Fri Mar 08 2002 - tiwai@suse.de
- fixed alsaconf: asound.conf -> asound.state.
* Fri Mar 08 2002 - tiwai@suse.de
- fixed segfault in alsa-lib regarding rate conversions.
- don't show colon at start up when no card is configured.
- fixed collision of resources for legacy opl3 and midi in ymfpci
  and cmipci drivers.
- fixed audigy FX capture.
- fixed compile of powermac driver.
- fixed emu10k1 5.1 surround output.
* Thu Mar 07 2002 - tiwai@suse.de
- reverted pci quirk code from 0.5.x for opl3sa2 driver.
- fixed es1968, maestro3, ymfpci: don't call
  snd_pcm_period_elapsed() more than once per interrupt.
- removed unused sequencer codes from the source.
- fixed ioctl32 wrapper.
- fixed memory leak in rawmidi.
- return rc 5 (skipped) when no joystick device is configured.
* Wed Mar 06 2002 - tiwai@suse.de
- fixed some bugs in gamix.
- use rwlock instead of spinlock in the pcm operation.
- fixed maestro3 driver to avoid picking the modem up.
- fixed module descriptions in wavefront driver.
- remove invalid snd_id module options in alsa post install
  script (bug #14542).
- suppress "unexpected hwpointer.." debug messages (bug
  [#14275]).
- fixed initialization of sequencer midi decoder.
- moved some documents into alsa-kernel directory.
- fixed module depenency descriptions.
- added the arm support (not compiled for rpms).
- moved oss related proc files to /proc/asound/oss.
- fixed floppy-hangup problem on ymfpci driver.
* Wed Feb 27 2002 - tiwai@suse.de
- fixed handling of capture volumes/switches in alsamixer.
- added support for x86-64 to alsa drivers' configure script.
- set alsa's header path prior to the kernel headers.
- added ioctl32 wrappers for 64bit architectures (still not
  compiled on existing architecturs).
* Mon Feb 25 2002 - tiwai@suse.de
- fixed spdif phase inverse on cmipci for the recent models.
* Mon Feb 25 2002 - tiwai@suse.de
- fixed AC3 passthrough on SB Live.
- added support for AMD-8111.
- fixed SPDIF input inverse switch on cmipci.
- added SPDIF input select switch on cmipci (for recent models).
- added Config.help in alsa-kernel.
- use normal printk with KERN prefixes for usual messages
  instead of snd_printk.
- fixed pci_alloc_consistent hack for ppc.
- fixed module depenency in alsa-kernel.
- fixed count overflow problem on aplay.
- fixed legacy isa probing of alsaconf.  now killing aplay/arecord
  with -9.
* Fri Feb 22 2002 - tiwai@suse.de
- added -p option to alsaconf to be invoked from external
  programs.
- alsaconf checks TP600E and tries to configure cs4236
  automatically.
- fixed oops on cs423x drivers.
* Fri Feb 22 2002 - tiwai@suse.de
- fixed surround and center/lfe (analog) outputs on audigy.
- added snd_mmap_valid option to cs46xx driver to support OSS
  mmap mode.  as default it is disabled (to be sure).
- fixed alsa-lib to adapt the recent API changes.
* Thu Feb 21 2002 - tiwai@suse.de
- fixed memory allocation for ISA.
- improved alsa-lib xrun checks.
- fixed audigy driver
  analog front is output through ac97.
  enabled digital outputs.
  fixed ADC capture.
  support for line2 and aux2 inputs.
- fixed volumes of wavetable on emu* drivers.
* Thu Feb 21 2002 - tiwai@suse.de
- improved xrun check - a new ioctl is added for xrun.
- llseek lock fixed for 2.5 kernel.
* Wed Feb 20 2002 - tiwai@suse.de
- fixed oops on SB Audigy.
- fixed/improved set_default_volume script.
* Wed Feb 20 2002 - tiwai@suse.de
- added (partial) midi / joystick support to intel8x0 driver.
- fixed ac97 initialization of via686 driver (bug #13404).
- added set_default_volume script and fixed alsasound init script
  to set up volumes automatically when no config file is found
  (bug #13649).
- fixed module depencies in alsa-kernel.
- added --with-kernel and --with-soundbase options to configure
  scripts in alsa-tools.
- wait for the codec ready status for more longer time in ac97
  driver.
- fixed typos (lockups) in rme9652 driver.
- fixed inverted aux playback switch on cmipci driver.
- added verbose (debug) printk mode.  fixed printk prefixes.
- alsasound script does't show failure messages even if ALSA is
  already running (bug #13614).
* Tue Feb 19 2002 - tiwai@suse.de
- fixed spdif on cmipci driver (for the recent chip models)
* Tue Feb 19 2002 - tiwai@suse.de
- configurable verbose level of messages in alsa-driver.
- fixed isa memory allocation for old codes.
- fixed error handling of sequencer core.
- added/fixed include files for correct compile.
* Mon Feb 18 2002 - tiwai@suse.de
- fixed joystick init script.
- fixed es18xx driver to support pm correctly.
* Mon Feb 18 2002 - tiwai@suse.de
- fixed intel8x0 driver for nVidia nForce.
* Mon Feb 18 2002 - tiwai@suse.de
- fixed renaming/moving of LOAD_ALSA_SEQ variable to sysconfig
  (Bug #13941)
- fixed endian check in the kernel.
- revert to the old isa allocator code.
- fixed power management codes.
- fixed obsolete usage of __FUNCTION__.
- fixed compile on ppc64.
- check the compile date in configure script.
* Fri Feb 15 2002 - tiwai@suse.de
- support for ppc64.
- use pci_alloc_consistent for allocation of ISA buffers.
* Fri Feb 15 2002 - tiwai@suse.de
- fixed compile on 2.5.5 kernel.
- fixed typo in pcm_preallocate_all().  now should be built on
  ia64.
* Thu Feb 14 2002 - tiwai@suse.de
- more alsa-lib document fixes/improvements.
- fixed build of alsa-driver on the latest alpha kernel.
* Wed Feb 13 2002 - tiwai@suse.de
- building drivers with debug option.
- fixed wrong kfree's after release_resource().
- fixed possible collision of macros with ACPI patches.
- moved joystick support from module option to controls in
  ymfpci and via686 drivers.
- removed snd_enable_midi option from es1968 driver.
  mpu401 is enabled as default.
- fixed initialization of joystick address in joystick init
  script.
- more docuemnts for timer releated issues in alsa-lib.
* Tue Feb 12 2002 - tiwai@suse.de
- fixed mixer volumes on ad1816a.
- fixed playback/capture on ad1816a.
* Mon Feb 11 2002 - tiwai@suse.de
- clean up module descriptions for yast2.
- fixed memory leaks before release_resources.
- introduced isa_virt_to_bus macro.
- fixed swap bugs in korg1212 driver.
- compilation fixes for sequencer-related modules.
- moved compatibility layer code to alsa-driver.
- fixed es1968 suspend/resume code.
- make sure intel8x0 driver working on non-intel archs.
* Fri Feb 08 2002 - tiwai@suse.de
- fixed mpu401 handling and wave table devices on audigy.
- fixed mpu401 interrupts on ymfpci.  snd_mpu_irq options is
  removed.
* Thu Feb 07 2002 - tiwai@suse.de
- fixed compile of pmac driver.
- added hack for panasonic CF-28.
- fixed handling of irq 0 on cs4236.
* Tue Feb 05 2002 - tiwai@suse.de
- added pci_enable_device() in resume.
- removed commas from end of enum lists.
- fixed typo in header files.
* Mon Feb 04 2002 - tiwai@suse.de
- added GPL license tags on some modules.
- fixed capture rate on ens1371.
- changes for the latest doxygen.
- fixed oss mixer misbehavior.
- added a new pnp id for cs4236.
- fixed emu10k1 wavetable function.
- fixed compile warning of emu10k1 mpu401 code.
- added missing MODULE_DEVICE_TABLES to some modules.
* Fri Feb 01 2002 - tiwai@suse.de
- open OSS pcm devices on the non-blocking mode as default.
* Fri Feb 01 2002 - tiwai@suse.de
- added initial support for SB Audigy.
- added initial support for TerraTec DMX 6Fire.
- fixed oops on ALS4000.
- fixed the installation path of modules.
- fixed oops in oss plugin module.
- improved/fixed digital output on cmipci driver.
- added pnp id for ALS200 to alsa100 driver.
- improved mpu401 input check.
- clean up of driver codes. addition of __devinit and
  __devinitdata.
- fixed typo in the description of module option in sb16.
- updated cards.txt and cardids.txt.
- renamed varibles for joystick init script.
- added comments about ac3dec in README.SuSE.
* Fri Jan 25 2002 - tiwai@suse.de
- more fixes for cmipci driver.
- fix for nm256 (Dell Latitude LS).
- kmerge/Config.in fixes.
- removed ac3dec from alsa-tools tarball due to potential
  license problems.  disabled build of ac3dec.
- added a colon in start up of alsasound again.
  it's better :)
- more fixes for alsa-lib docs.
* Tue Jan 22 2002 - tiwai@suse.de
- added a new pci id for ens1371.
- added support for NVidia Nforce (intel8x0).
- removed snd_enable_midi/fm options from cmipci driver.
- fixed 4ch playback mode on cmipci driver.
- more fixes of documents for alsa pcm plugins.
- fixed id of mixer on ESS Allego.
- fixed module names in README.SuSE.
* Thu Jan 17 2002 - tiwai@suse.de
- better handling of enum strings in alsactl get/set.
* Thu Jan 17 2002 - tiwai@suse.de
- removed gpm from StartRequires in alsasound init script.
- fixed maestro3 initialization bug.
- improved documentation of alsa-lib plugins.
- merged ARM patch into alsa-lib.
* Thu Jan 17 2002 - uli@suse.de
- fixed to build on ARM
* Wed Jan 16 2002 - egmont@suselinux.hu
- removed colons from startup/shutdown messages.
* Tue Jan 15 2002 - schwab@suse.de
- Fix missing declarations in kernel drivers.
* Mon Jan 14 2002 - tiwai@suse.de
- added get & set commands to alsactl.
- fixed joystick init script.
- more documents for doxygen.
* Fri Jan 11 2002 - tiwai@suse.de
- fixed compile of alsa-kernel on ia64.
- fixed renaming via686a -> via686.
* Wed Jan 09 2002 - tiwai@suse.de
- fixed infinite loop when playback drain is failed.
* Tue Jan 08 2002 - tiwai@suse.de
- don't call depmod in alsa-driver when DESTDIR is set.
* Tue Jan 08 2002 - tiwai@suse.de
- renamed from sysconfig/alsa to sysconfig/sound.
- fixed routing of ice1712 driver.
- added enable_loopback option to snd-ac97-codec module.
- updated gamix to ver.1.99.p11.
- added -c option to envy24control.
- fixed -c option for ac3dec.
- added the list of drivers compiled for each arch.
  Makefile.module reads the generated list file when exists.
  so far provided only for ia64.
* Tue Jan 08 2002 - tiwai@suse.de
- removed sysconfig files from filelist.
* Mon Jan 07 2002 - tiwai@suse.de
- fixed name of synth modules (for auto-loading).
- checked linux/pm.h in configure script.
* Mon Jan 07 2002 - tiwai@suse.de
- added missing header files from alsa-kernel to devel package.
- fixed calculations of timeout in some drivers.
- many fixes for compile on 2.2 kernel.
- asoundef.h is incldued in alsa-lib (not symlinked).
- added sysconfig files as ghost to filelist.
- check old modules names in /etc/modules.conf and rename them
  automatically during post-install.
* Fri Jan 04 2002 - tiwai@suse.de
- renaming of driver modules.
  all snd-card-xxx modules are renamed to snd-xxx.
  the old module configuration must be updated.  sorry.
  together with this change, cardids.txt is converted, too.
- split alsa driver sources.
  (a step for kernel 2.5 integration.)
  alsa-kernel tarball is provided individually.
- move LOAD_ALSA_SEQ variable to /etc/sysconfig/alsa.
- fixed alsasound script.
* Thu Dec 13 2001 - tiwai@suse.de
- fix alsasound: don't try to load sequencer and version-check
  when no card drivers are loaded.
- better renaming from START_ALSA_SEQ to LOAD_ALSA_SEQ.
- added joystick init script. (only for testing yet)
  using /etc/sysconfig/joystick for configuration.
- remove (rename) the old /etc/asound.conf if found.
- removed kernel-source from neededforbuild.
* Thu Dec 13 2001 - tiwai@suse.de
- fixed eapd hack on cs46xx (now km_alsa is fixed for build).
- more configurable pcm parameter for dummy driver.
- added snd_pcm_route_determine_ttable().
* Wed Dec 12 2001 - iwai@suse.de
- added missing alsa-driver documents.
* Tue Dec 11 2001 - tiwai@suse.de
- added joystick support on ymfpci driver:
  snd_joystick_port module option is added (default disabled).
  Needs ns558 module.
- added joystick support on es1938 (ess solo1) and sonicvibes
  drivers (on 2.4 kernel only).
  The driver handles gameport directly, so ns558 module is
  not necessary.
- added joystick support on es1968 (maestro2) driver.
  A new control switch "Joystick" is added.  Needs ns558.
- added joystick support on cs4281 driver.
  handles gameport directly.  No ns558 needed.
- fixed alsasound script to unload gameport module automatically.
- run update-deps on alsa-driver during build stage so that
  configure in km_alsa is properly generated.
- fixed compile of alsa-lib on ia64.
- changed snd_pcm_mmap_* handling.
* Mon Dec 10 2001 - tiwai@suse.de
- fixed typo in tumbler driver.
- fixed mono conversion plugin in alsa-lib.
- fixed configure of alsa-driver on alpha.
- fixed window resizing of alsamixer.
* Fri Dec 07 2001 - tiwai@suse.de
- PM support on opl3sa driver.
- HW volume support from docking station on es1968.
- Fixed GPL license tag on some modules.
- experimental support of LADSPA plugin layer.
* Fri Dec 07 2001 - tiwai@suse.de
- fixed pmac (tumbler) driver.
- fixed trident latency problem.
- no longer inclusion of linux asm header files in alsa-lib.
- fixed module descriptions in cs4232 and es18xx modules.
- check ALSA driver version in alsasound init script.
- fixed compile of maestro3 driver on 2.2 kernel.
* Tue Dec 04 2001 - tiwai@suse.de
- fixed typo in intel8x0 driver.
- build alsa-docs package on all architectures.
- merged kernel-header hack patch for non-intel architectures.
* Mon Dec 03 2001 - tiwai@suse.de
- updated to ALSA 0.9.0 beta (CVS 2001.12.03)
- split alsa-docs package for ALSA documentation.
  (so far only on i386 due to problem of doxygen)
- as10k1 is not built to avoid conflict with emu-tools package.
* Tue Nov 27 2001 - tiwai@suse.de
- fixed oops at removing cs461x driver with amp hack.
* Fri Nov 23 2001 - tiwai@suse.de
- added the last missing patch into patch archive.. sorry.
* Fri Nov 23 2001 - tiwai@suse.de
- fixed compile of maestro3 driver on 2.2 kernel.
* Thu Nov 22 2001 - tiwai@suse.de
- use new macros for fill-up and init script
- fixes for building with normal user mode:
  rpm --rebuild should work with normal user.
* Wed Nov 21 2001 - tiwai@suse.de
- fixed permission of proc device files on the latest kernel.
- fixed IrDA on Dell Inspiron 4000 notebook.
- replaced include malloc.h with slab.h (obsoleted).
- fixed expansion of variable length argument macros.
- use set_current_state() macro.
- fixed typo in ymfpci capture switch.
* Fri Nov 09 2001 - tiwai@suse.de
- merged with the latest 0.5.12 tarball release.
- fixed installation of alsa.m4 file.
- fixed potential compile warnings.
- clean up spec file.
- build alsa-lib and alsa-utils inside specfile without extra
  Makefile.
- gettextize gamix
* Mon Nov 05 2001 - tiwai@suse.de
- libtoolized alsa-lib & alsa-utils.
- fix compile of alsa-lib on non-gcc system.
  the mixer sort functions become thread-unsafe.
* Wed Oct 17 2001 - tiwai@suse.de
- fixed compile of isapnp.o on 2.2 kernel.
* Mon Oct 15 2001 - tiwai@suse.de
- fixed missing exported symbols in snd-synth-emux module.
- added GPL module license to each module.
  necessary for the latest 2.4 kernel and modutils.
* Fri Oct 12 2001 - tiwai@suse.de
- added missing EXPORT_NO_SYMBOLS to the relevant modules.
* Thu Oct 11 2001 - tiwai@suse.de
- fixed new feature calls for the latest benh kernel
  (only for ppc)
- improved cardname output of pmac driver.
* Tue Oct 09 2001 - tiwai@suse.de
- added a new pnp id for cs4236.
- fixed again mute bitmask for screamer dev.10.
- added new pnp entries to card id database.
* Mon Oct 08 2001 - tiwai@suse.de
- fixed auto-muting on screamer dev.10 (bug #11690).
- added a new pnp id for sbawe.
* Tue Oct 02 2001 - tiwai@suse.de
- fixed oops / lock-up on es1968 driver (bug #11562).
- fixed oops / lock-up when ROM soundfont is loaded on emu10k1.
- added check for 586MMX in configure script.
* Mon Oct 01 2001 - tiwai@suse.de
- added snd_enable option to awacs driver again (bug #11339).
- fixed auto-mute check on screamer dev.8 (ppc driver).
- added conditional rescheduling while loading samples on emu8000.
* Thu Sep 27 2001 - tiwai@suse.de
- fixed line-out plug check for screamer with dev != 0.
  now auto-muting should work on most of pmacs.
- added snd_auto_mute_mask flag for user to set the bit-mask
  value.
* Thu Sep 20 2001 - tiwai@suse.de
- changed OSS version number to 3.8.2, to avoid warning from
  gmix (Bug #10523)
* Thu Sep 20 2001 - tiwai@suse.de
- added a new pnp id (SMM7180) for ad1816a.
- added toggle command to amixer.
* Wed Sep 19 2001 - tiwai@suse.de
- added missing pnp id to card database.
* Fri Sep 14 2001 - tiwai@suse.de
- removed cache for snd_cards_mask() in alsa-lib
  so that alsa-lib can detects the change of status (Bug #10314).
* Wed Sep 12 2001 - tiwai@suse.de
- improved measurement of clock on es1968.
- increased maximum timer frequency on es1968.
  better responce expected for small fragments.
- improved measurement of ac97 clock on intel8x0.
* Mon Sep 10 2001 - tiwai@suse.de
- fixed mpu initialization on ymf744/754.
- added snd_mpu_irq option for cmipci driver.  some cards need
  an extra interrupt for mpu401.  when the interrupt is shared
  with pcm, pass -1 (as default).
* Fri Sep 07 2001 - tiwai@suse.de
- added auto measurement of clock on es1968 chips.
- added amplifier switch for DACA on pmac.  As default it's on.
* Thu Sep 06 2001 - tiwai@suse.de
- fixed the clock value of es1978 chip.
- Makefile.module accept ALSA_MODULE_TO_BUILD to pass as
  a configure option.  Each kernel package can give --with-cards
  option to specify the drivers to be compiled.
  As default all drivers are built.
* Wed Sep 05 2001 - tiwai@suse.de
- fixed playback on ymfpci with small fragment size.
- fixed clicking noises during playback on es1968.
* Tue Sep 04 2001 - tiwai@suse.de
- fixed initialization/suspend/resume on pmac DACA and Tumbler
  chips.  patch is merged to cvs.
- changes "Wave Playback Volume" on alsatest (for ymfpci driver).
- updated README.SuSE, power management section.
* Thu Aug 30 2001 - tiwai@suse.de
- pmac (awacs) driver detects the status of headphone and
  mutes/unmutes the speaker automatically.
- alsaconf changes "Speaker" and "Line Out" volumes at sound test
  (for awacs driver).
* Tue Aug 28 2001 - tiwai@suse.de
- fixed pc-speaker driver for playback.
- fixed detection of keywest i2c device on ppc.
* Mon Aug 27 2001 - tiwai@suse.de
- integrated i2c-keywest code into awacs driver.
  no longer i2c-core and i2c-keywest modules are required.
* Mon Aug 27 2001 - tiwai@suse.de
- fixed deadlock during capture on maestro3 driver (SMP).
- added support for ESS Canyon3D-2/LE PCI (to maestro3 driver).
- merged additional patches to cvs.
- do not return the error code at stopping alsasound script
  (bug #9888).
- added isa pnp id for ALS200 to als100 driver.
* Fri Aug 24 2001 - tiwai@suse.de
- added mixer control for DACA (iBook) on awacs driver.
  i2c support on kernel (i2c-core and i2c-keywest) is required
  as well.
* Thu Aug 23 2001 - tiwai@suse.de
- added experimental support for ibook2 (tumbler) on awacs driver.
  i2c support on kernel is required.  for mixer control,
  i2c-keywest module should be formerly loaded.
  only master and beep playback volumes are available.
- reduced clocks at beginning of playback on ad1848.
* Wed Aug 22 2001 - tiwai@suse.de
- fixed race condition in open/close of cmipci driver.
  protected by mutex.
- fixed the bug in rate conversion of alsa-lib (this happens
  only when different format rate is returned in setup like sb8).
- added pci_enable_device in emu10k1 driver.
- fixed deadlock of mozart driver.
- added snd_isapnp option to snd-card-opti9x driver.
* Wed Aug 15 2001 - tiwai@suse.de
- fixed start up scripts for emu10k1/sbawe to support multiple
  cards.
- disabled isapnp on ppc prep (only for 2.2 kernel).
- fixed configure script to set CONFIG_SND_ISA correctly.
- added pc speaker driver (not compiled as default :)
* Tue Aug 14 2001 - schwab@suse.de
- Fix alsa-driver configure script: don't force CONFIG_SND_ISA.
* Thu Aug 09 2001 - tiwai@suse.de
- fixed card id database.
- fixed stereo playback on es1968.
- fixed pcm playback on emu10k1.
* Fri Aug 03 2001 - tiwai@suse.de
- fixed alsasound compliant to LSB.
* Wed Aug 01 2001 - tiwai@suse.de
- removed snd_max_channels module option from cmipci driver.
- support for large soundfonts (caching) on emu10k1 driver.
- fixed card database.
- fixed module descriptions.
* Fri Jul 13 2001 - tiwai@suse.de
- use _prefix & co.
* Fri Jul 13 2001 - grimmer@suse.de
- fixed man page file list (using wild cards instead including
  the directory itself)
* Tue Jul 10 2001 - tiwai@suse.de
- improved mixer volumes for spdif controls on ymfpci driver.
* Thu Jul 05 2001 - iwai@suse.de
- added new pnp id for terratec maestro32/96.
- fixed compile on ppc - isa cards are enabled.
- check undefined dma_addr_t & etc in configure script.
* Tue Jun 26 2001 - tiwai@suse.de
- added snd_nonblock_open module option to pcm-oss module.
- fixed clkrun hack on cs461x driver.
* Thu Jun 07 2001 - tiwai@suse.de
- added a new pnp id for sb16.
- improved intel8x0 driver.
  + auto-probing of ac97 clock.
  + pm support.
  + fragment size fix.
  + lowlevel module is removed.
- added snd_dsp_map and snd_adsp_map module options to pcm-oss
  module.
* Mon May 28 2001 - tiwai@suse.de
- added a new pnp id for azt2320.
- fixed amp_enable hack for hercules game theatre xp.
- swapped spdif 5V switch on cmipci driver.
- initialize more two registers on ymfpci driver.
- fixed kernel-version numbering (in alsa-driver rpms).
* Tue May 15 2001 - tiwai@suse.de
- include alsa-driver 0.5.11 tarball.  patches removed.
* Tue May 15 2001 - tiwai@suse.de
- fixed/improved alsaconf:
  + added -l, -m options
  + use static card db
  + use /proc/isapnp instead of pnpdump
  + add /sbin path to modutils commands (to start from KDE menu)
* Fri May 11 2001 - tiwai@suse.de
- fixed alsaconf.
* Fri May 11 2001 - tiwai@suse.de
- Fixed pm code.
- Added ali5451 driver.
* Thu May 10 2001 - tiwai@suse.de
- Fixed pm code on ymfpci, es1968, nm256 and cs461x.
- Workaround against hang up on es1968.
* Wed May 09 2001 - tiwai@suse.de
- Added a workaround for buzzing on ymf754.
- alsaconf uses cardids.txt if exists.
* Tue May 08 2001 - tiwai@suse.de
- Added auto-probing of legcay isa chips to alsaconf.
* Mon May 07 2001 - tiwai@suse.de
- Improved alsaconf:
  + can choose a soundcard if multiple cards exit.
  + saner manipulation of /etc/modules.conf
- Added a new pnp id for ad1816.
- Acquire irq after chip detection on es1968 driver.
- fm/mpu_port don't have to be set on non-isapnp opl3sa2.
* Thu May 03 2001 - tiwai@suse.de
- Added a new pnp id for sbawe.
- Fixed build on 2.2 smp kernel.
* Wed May 02 2001 - tiwai@suse.de
- Fixed sequencer tempo bug.
- Fixed compile warnings regarding pointer cast.
- Check address bit mask of allocated region on es1968 and
  maestro3 drivers.
* Mon Apr 30 2001 - tiwai@suse.de
- Fixed alsaconf (for the latest modinfo).
- Added gpm to RequireStart in init script (to avoid irq conflicts)
- Fixed private_value of kswitch from int to long. (This fixes the
  bug below correctly.)
* Sun Apr 29 2001 - schwab@suse.de
- Fix invalid cast in cmipci driver.
* Fri Apr 27 2001 - bk@suse.de
- fixed all_notes_off script(no \r's and no delay)
- fixed alsa driver start scripts emu10k1 and sbawe
  (fix for creative soundfont path used by yast2 and status improvement)
- fixed permissions of alsa driver start scripts (/etc/alsa.d files)
- filelist fix: add /etc/alsa.d (the dir itself) also to the alsa
  filelist (/etc/alsa.d is not mentionend in aaa_dir)
* Tue Apr 10 2001 - tiwai@suse.de
- Fixed INSTALL document.
- Added new chips to cards.txt and cardids.txt.
- Fixed compile on the very recent kernel.
- Clean up of emu10k1/sbawe scripts.
* Tue Apr 10 2001 - tiwai@suse.de
- Added all_notes_off script.
- Added -P/-C options to aplay for AC3 playback.
- Fixed typos in documents.
- Fixed version numbering of alsa-utils.
* Fri Apr 06 2001 - tiwai@suse.de
- New test sound by mana@suse.de.
- Improved spdif/mixer support on cmipci driver.
- Fixed overflow / zero-divide error of timer tempo calculation.
* Mon Apr 02 2001 - kukuk@suse.de
- Remove kernel_headers from requires
* Fri Mar 23 2001 - tiwai@suse.de
- Fixed compile on 2.2 kernel again.
- Fixed memory leak.
- Added external amp and clkrun hacks for cs461x (untested).
  snd_clkrun module option is obsoleted.
- Disabled debug options.
- Fixed sequencer bugs.
* Wed Mar 21 2001 - tiwai@suse.de
- Removed tricky SuSEconfig for alsa-devel header files.
  All header files will be installed simplly to /usr/include/linux
  and /usr/include/sys, since /usr/include/linux is now included
  in glibc-devel package.
* Wed Mar 21 2001 - tiwai@suse.de
- Fixed compile of alsa-driver on 2.2 kernel.
* Tue Mar 20 2001 - tiwai@suse.de
- Support for ia64.
- Fixed typo in azt2320 driver.
* Mon Mar 12 2001 - tiwai@suse.de
- Added a pseudo master volume to awacs driver
  (to keep compatibility with other ones).
- Removed invalid elements from awacs / burgundy mixer.
* Fri Mar 09 2001 - tiwai@suse.de
- Fixed bogus export of pm_xxx functions on 2.4 kernel.
  (fixed conflict with pcmcia_core.o)
* Tue Mar 06 2001 - tiwai@suse.de
- Added a new pnp id for neomagic neowave (on acer notebook)
  to opl3sa2 driver.
- Fixed nm256 signature detection more strictly.
* Mon Mar 05 2001 - tiwai@suse.de
- Fixed endian and rate checks for screamer of ppc awacs driver.
* Thu Mar 01 2001 - tiwai@suse.de
- Synced with the latest 0.5.x source (awacs is now in main tree).
- Fixed spinlock in awacs driver.
* Mon Feb 26 2001 - tiwai@suse.de
- Fixed Makefile.module for km_alsa.
- Added -b option to depmod in alsa-driver Makefile.
- Improved sbawe/emu10k1 scripts.
* Tue Feb 20 2001 - tiwai@suse.de
- Added a new pnp id for sb16.
* Thu Feb 15 2001 - tiwai@suse.de
- Minor fixes of awacs.
- Added mic-gain, aux input mixer controls for cmipci.
- Added support of card-dependent scripts (under /etc/alsa.d).
* Fri Feb 09 2001 - tiwai@suse.de
- Added new pnp id for cs4236.
- Fixed OSS GET_DSP_RATE ioctl to get the nearest pcm rate.
- Fixed alsasound script.
- Changed byte-swap detection on awacs driver.
- Disabled capture on awacs driver with DACA chip.
- Saner nm256 signature check.
* Mon Feb 05 2001 - tiwai@suse.de
- Added reboot notifier callback to ymfpci, es1968 and maestro3
  drivers.
- Fixed ac97 codec routine.
* Thu Feb 01 2001 - tiwai@suse.de
- Fixed Makefile again.
- Updated to alsa-lib-0.5.10b.
* Wed Jan 31 2001 - tiwai@suse.de
- Fixed initialization on some CS4236 chip.
* Wed Jan 31 2001 - tiwai@suse.de
- Fixed Makefile of alsa-driver for DESTDIR support.
* Mon Jan 29 2001 - tiwai@suse.de
- Added $remote_fs to RequestStart/Stop in alsasound init script.
* Mon Jan 29 2001 - tiwai@suse.de
- Updated to alsa-driver-0.5.10b.
  (Addition of VIA VT8233 driver)
- Fixed typo wrt CS4281 pci id.
- Added check for pmac-awacs driver to alsaconf script.
* Tue Jan 23 2001 - schwab@suse.de
- Reenable building of kernel module on ia64.
* Wed Jan 17 2001 - tiwai@suse.de
- Added experimental support for ibook DACA (no mixer yet).
- Fixed DESTDIR in alsa-driver's Makefile.
* Tue Jan 16 2001 - tiwai@suse.de
- Fixed initialization of maestro3 driver on 2.4 kernel.
- Fixed 8bit linear conversion in pcm_misc.c.
* Thu Jan 11 2001 - tiwai@suse.de
- Fixed typos in documents.
- Added missing alsamixer & gamix documents.
* Thu Jan 11 2001 - tiwai@suse.de
- More fix on ac97codec.
- Fixed alsasound script to avoid hang at shutdown.
* Wed Jan 10 2001 - tiwai@suse.de
- Fixed missing exports of pci_compat stuffs.
* Wed Jan 10 2001 - tiwai@suse.de
- Fixed clkrun init in resume of cs461x.
- Fixed initialization of ac97 on CS4297A rev B.
- Fixed alsaconf script (Bug #5393).
- Fixed snd_dma_size function.
- Fixed documentation, README.SuSE, README.alsadev.
* Mon Jan 08 2001 - tiwai@suse.de
- Fixed warning on comiple.
- Added a note for irq problem on via686a-SMP mobo to
  alsa-driver/INSTALL.
- Changed compile condition: CONFIG_APM -> CONFIG_PM
* Mon Jan 08 2001 - tiwai@suse.de
- Updated to alsa-driver-0.5.10a.
  (including better condition check for wavefront.c)
- Fixed compile on 2.2 kernel.
- Fixed handling of non-interleave data in the mmap plugin.
* Fri Jan 05 2001 - tiwai@suse.de
- Improve/bugfix of es1968 (maestro/2e) driver.
  + Dead spinlock is fixed.
  + Stereo capture is available now.
  + APM support.
- Added a new pnp id for cs4236.
- Fixed compile on 2.4.0 kernel.  Can no longer compile on old
  2.4.0-testXX kernels.
* Thu Jan 04 2001 - tiwai@suse.de
- Added new revision id for ens1371.
* Wed Jan 03 2001 - tiwai@suse.de
- Fixed typo in amixer (wrong memory allocation).
- Fixed silent notes on sequencer.
- Added snd_vaio_hack option to nm256 driver.
- Fixed FM801 capture bug.
- Added new pnp id for cs4232.
- Fixed power management on maestro3.
- Fixed typo in cmi8330 driver.
* Tue Jan 02 2001 - olh@suse.de
- add DESTDIR to Makefile.module and Makefile
* Sun Dec 31 2000 - kukuk@suse.de
- Remove postinstall on SPARC and IA64
* Mon Dec 18 2000 - tiwai@suse.de
- Fixed initialization of ymfpci driver.
* Mon Dec 18 2000 - tiwai@suse.de
- Improved maestro3 driver: multiple streams & duplex support.
- Fixed pm support on cs4231,cs4232,cs4236.
- Fixed pm support on cs461x.
- Fixed alsaconf script to display the correct device name.
- Fixed cards.txt and cardids.txt entries.
* Fri Dec 15 2000 - tiwai@suse.de
- Added Copyright tag to alsa-devel.
* Thu Dec 14 2000 - tiwai@suse.de
- Fixed pm support on nm256.
- Fixed memory barrier problems on some alpha chips.
- Fixed alsasound script to kill OSS apps.
* Tue Dec 12 2000 - tiwai@suse.de
- Added pm support for cs461x.
- Fixed typo on maestro3 - m3 chips should work now.
- Added pm support for maestro3.
- Added pm support for nm256.
- Fixed a wrong pnp id of azt2320.
* Mon Dec 11 2000 - tiwai@suse.de
- Fixed compile on suse 2.2.17 kernel.
* Fri Dec 08 2000 - tiwai@suse.de
- Added NeoMagic NM256AV/ZX driver.
* Thu Dec 07 2000 - tiwai@suse.de
- Updated to 0.5.10.
* Mon Dec 04 2000 - tiwai@suse.de
- Added experimental Maestro3/Allegro driver.
- Added experimental CS4281 driver.
- Added START_ALSA and START_ALSA_SEQ in /etc/rc.config
  to ask start up of alsa services.
* Mon Dec 04 2000 - ro@suse.de
- fix km_alsa build
* Mon Nov 27 2000 - tiwai@suse.de
- alsa-driver package is no longer compiled.  cards.txt and
  cardids.txt are provided as extra sources.
- Added new id for cs4236.
- Moved /sbin/init.d -> /etc/init.d
  /sbin/rcalsasound -> /usr/sbin/rcalsasound
* Fri Nov 24 2000 - tiwai@suse.de
- Added hack to avoid hang on opl3sa2 driver.
- Fixed AWACS driver.
- Enabled basic debug option.
* Mon Nov 20 2000 - tiwai@suse.de
- Use insserv in post-install for creating init.d scripts.
- Fixed oops in sequencer.
- Added new id for cs4236.
- Fixed oops in ac97 (some of cs461x chips have caused).
- Updated PMac AWACS driver.
* Thu Nov 16 2000 - tiwai@suse.de
- Added PMac AWACS driver (experimentally).
- New pnp id for cs4236.
- Fixed initialization of es1968 on 2.4 kernel.
- Fixed rate and voices plugins for big-endian.
- Fixed usage and man page of alsamixer and aplay.
* Fri Nov 10 2000 - kukuk@suse.de
- Change requires from libc to glibc-devel
* Thu Nov 09 2000 - tiwai@suse.de
- Updated gamix to 1.11.
- Load sequencer modules automagically in alsasound script.
* Mon Nov 06 2000 - tiwai@suse.de
- Move libasound.so into alsa-devel package.
- Fixed autobuild on beta-i386.
- New pnp id for sb16.
* Thu Nov 02 2000 - tiwai@suse.de
- Change for long-name packages (alsa-devel and alsa-driver).
- No longer generate sndcards.ycp (contained in y2t_snd package).
* Tue Oct 31 2000 - tiwai@suse.de
- Added ALS4000 driver.
- Fixed typo of ac97 codec.
- Changed loops_per_sec to loops_per_jiffy in wavefront.c.
- Added snd_ac97_clock module parameter for i815 chip.
* Tue Oct 17 2000 - tiwai@suse.de
- Fixed a bug in sb8 MIDI input.
- Fixed bugs in standard mpu401-uart.
* Wed Oct 11 2000 - tiwai@suse.de
- Added a new pnp id for SB16.
- Added a new id for AC97.
* Tue Oct 10 2000 - tiwai@suse.de
- Updated to alsa-driver-0.5.9d.
- Fixed a minor bug of sequencer midi emulation.
- Fixed MIDI UART on CMIPCI driver.
* Fri Oct 06 2000 - tiwai@suse.de
- Added new id for CS4236.
- Fixed NOTE events handling in sequencer.
- Updated to gamix-1.09p17.
* Wed Sep 27 2000 - tiwai@suse.de
- Use /lib/modules/%%{kernel_version}/misc directory for generating
  sndcards.ycp
* Mon Sep 25 2000 - tiwai@suse.de
- Fixed generating sndcards.ycp.
- New pnp id for cs4236.
- New pci id for CM8738B.
- More SPDIF support on CMI PCI driver.
- Fixed loopback bug in alsa-lib.
* Thu Sep 14 2000 - tiwai@suse.de
- Fixed deadlock of OSS sequencer emulation.
- Fixed S/PDIF input on YMFPCI driver.
- Support new switches for CMIPCI driver.
- Support for 2.2.18 kernel.
- Send MIDI reset after closing sequencer MIDI devices.
- Minor update of README.SuSE.
* Mon Sep 04 2000 - tiwai@suse.de
- Updated to alsa-driver-0.5.9c / utils-0.5.9b.
- Fixed emu10k1 filter cutoff pops and clicks.
- Put all patches into patches.tar.bz2.
- Put (currently unused) files for custom subpackages into
  custom.*.tar.bz2.
- Include gendb script from y2t_sndd to allow users rebuild the
  source RPM without the SuSE internal package.
- More fixes of README.SuSE.
* Fri Sep 01 2000 - tiwai@suse.de
- Added support of i815.
- Fixed ymfpci typos.
- Fixed sequencer instrument layer.
- Fixed emu8000 filter cutoff pops and clicks.
- New option -x for aconnect.
- Bug fixes of memory leak by aseqnet.
* Mon Aug 28 2000 - tiwai@suse.de
- Add new ids for ad1816a, aztec and sb32.
- Fix internal synth of emu8000 and emu10k1.
- Aplay bugfix.
- CMI PCI bugfix.
* Mon Aug 21 2000 - tiwai@suse.de
- Update to alsa-utils 0.5.9a.
* Mon Aug 14 2000 - tiwai@suse.de
- 64bit support on emu10k1.
- Bugfix of ENS1371 initialization.
- More bugfix of 64bit support.
* Mon Aug 14 2000 - tiwai@suse.de
- Update to 0.5.9a
- Minor bugfix of alsactl
* Wed Aug 09 2000 - tiwai@suse.de
- More fixes for 64bit support.
* Wed Aug 09 2000 - kukuk@suse.de
- On SPARC, only include the alsa libraries
* Mon Aug 07 2000 - tiwai@suse.de
- Update to 0.5.9.
- Fix warning messages due to 64bit support.
* Fri Aug 04 2000 - tiwai@suse.de
- Ignore MPU initialization on CS4236 if not reported by isapnp
  (for Dell 410 Workstation).
- Fix annoying kmix messages for emu10k1 mixer.
- Improve YMFPCI fragment size calculation.
* Tue Aug 01 2000 - tiwai@suse.de
- Fix Oops in rawmidi when accessed through ALSA sequencer.
* Fri Jul 28 2000 - tiwai@suse.de
- Take KDE_Startup.wave from kbase package as test.wav to reduce
  autobuild time.  kbase is removed from the neededtobuild list.
* Thu Jul 27 2000 - tiwai@suse.de
- Fix NULL pointer access in Opti93x driver.
- Add CLKRUN support for CS461x.  T20 and TP570E will work w/o
  disabling PCI Bus power management in BIOS.
- Use modprobe -c instead of reading config file in alsasound
  script.
* Fri Jul 21 2000 - tiwai@suse.de
- Fix wrong directory name with $RPM_BUILD_ROOT in libasound.la
  (in alsadev package only).
- Remove strict asound.h check at configuring alsa-lib.
- Call autoheader explicitly before compiling alsa-lib and
  alsa-utils.
* Wed Jul 19 2000 - tiwai@suse.de
- Allow non-blocking mode to OSS rawmidi access.
- Fix a bug in caputer pointer calculation of via686a driver.
- Fix typos in README.SuSE.
- Install forgotten mo files of gamix.
* Fri Jul 14 2000 - tiwai@suse.de
- Fix cards.txt.
- Add a missing codec ID for AC97.
- Add small i/o delays in ENS1370 driver.
* Thu Jul 13 2000 - tiwai@suse.de
- Fixed triggerrun script.
- Fixed a bug in virmidi causing double kfree().
- Add README to alsadev package.
* Mon Jul 10 2000 - tiwai@suse.de
- Swap left and right playback voices on YMF PCI.
- Fix alsaconf to display correct ISA-PnP card.
- Fix mixer input MUX of AD1816a driver.
- added %%{_docdir}/cardids.txt with full dirver info for hwinfo(bk).
- Alsasound script terminates processes using sound devices when
  stopped.
- Added status command to alsasound script.
* Fri Jul 07 2000 - tiwai@suse.de
- Fix a wrong PnP FM-port initialization in sb16.
- Fix playback/capture clicks on SB-1.0.
- Fix Opti92x chip detection bug.
- Fix loud noises at start up of Opti92x-cs4231 driver.
* Thu Jul 06 2000 - tiwai@suse.de
- Fix emu10k1 PCM playback bug.
- Fix YMFPCI plaback/record bug.
- Avoid freezing of YMFPCI driver when USB is uninitialized.
- Fix MPU401 SMP lock.
- Replace applause.wav with KDE_Startup.wav as test wave data
  for alsaconf and YaST2.
- Disable debug flag in km_alsa Makefile.
- Add -fno-builtin option for compile on PPC.
- Fix typos in INSTALL document.
- Fix unexported module parameters.
* Tue Jul 04 2000 - kukuk@suse.de
- Don't include sndcards.ycp on ia64 and SPARC
* Mon Jul 03 2000 - tiwai@suse.de
- Add /usr/lib/YaST2/sndcards.ycp to both alsa and alsadrv packages.
- Change from whistle.au to applause.wav for test sound (installed
  as /usr/share/sounds/alsa/test.wav).
* Wed Jun 28 2000 - tiwai@suse.de
- Bugfix of devfs support.
- Bugfixes of emu10k1, cs461x and es1968 drivers.
- Include both libasound.so.1 and 1.0.1 in alsa package.
* Tue Jun 27 2000 - tiwai@suse.de
- Update to ALSA driver 0.5.8b
- Update to gamix-1.09p15
- Fix a typo in README.SuSE
* Mon Jun 26 2000 - kukuk@suse.de
- Don't build kernel modules on SPARC
* Fri Jun 23 2000 - schwab@suse.de
- Fix use of %%suse_update_config.
- Don't build kernel modules on ia64.
* Fri Jun 16 2000 - tiwai@suse.de
- Add pciutils as Requirements.
- Update of gamix to 1.0-p13.
- Bugfixes of ES1938 driver.
- Backport of ES1968 driver from 0.6.0 (with bugfixes).
- Add new pnp id to cs4236.
- Trident joystick support.
* Fri Jun 16 2000 - cihlar@suse.cz
- linux/* header files installed under /usr/include/alsa/linux
- added SuSEconfig.alsa
- added triggers
* Fri Jun 09 2000 - bk@suse.de
- fixed kernel_version define -> %%(uname -r)
- changed linux_header_dir to /usr/src/linux/include/linux
  (should fit with the pre-install then)
* Thu Jun 08 2000 - ro@suse.de
- added pre-install for alsadev: create linux-srcdir if nonexistant
* Thu Jun 08 2000 - tiwai@suse.de
- linux/* header files are installed under
  /usr/src/linux-VERSION.SuSE instead of /usr/src/linux
  (for avoiding confliction with lx_suse).
- Fix: minor bugs in ad1816
- Fix: sequencer patch loader
- Experimental APM support on YMF PCI driver
* Tue Jun 06 2000 - tiwai@suse.de
- Official release of alsa-driver-0.5.8a, lib & utils-0.5.8 are
  included.
- alsadev installs header files under /usr/src/linux/include/linux
  instead of /usr/include/linux, owing to confliction with libc.
  libc and alsa packages are declared as requirements explicitly.
* Fri Jun 02 2000 - tiwai@suse.de
- ALSA development package (alsadev) is split.
  It contains header files and static libraries.
- Updated to 06/02 snapshot of 0.5.8-pre version.
  YMF PCI driver is newly added.
* Fri May 26 2000 - tiwai@suse.de
- updated to 0.5.8 pre-release version including bug fixes,
  addition of new driver (CMI 8x38 PCI) and device (direct FM
  OPL3 hwdep).
- bugfix of gamix
* Tue May 02 2000 - bk@suse.de
- merged latest ppc and alpha fixes to one package
- fixed missing documentation
- added subpackage alsai8x0, customer package for intel8x0 chipset
* Fri Apr 28 2000 - olh@suse.de
- add loops_per_sec.dif for ppc, guessing...
* Fri Apr 28 2000 - olh@suse.de
- fix Makefile for 6.4-ppc
* Thu Apr 27 2000 - bk@suse.de
- added fix for card out of range message from tiwai.
* Thu Apr 27 2000 - bk@suse.de
- added subpackage alsadrv, includes update modules for k_deflt
- added subpackage alsavia6, special package for via chipset
- general cleanup
- converted buildroot
* Thu Apr 06 2000 - bk@suse.de
- Updated to alsa-0.5.7,
- -%%{version} added to alsa-driver tree in km_alsa
- Updated README.SuSE
- Package build documentation updates.
- added config.{sub,guess} update call from schwab
* Fri Mar 31 2000 - ro@suse.de
- libasound has version 1.0.0 now
* Fri Mar 17 2000 - bk@suse.de
- updated to alsa-0.5.6, cvsexport 2000-03-17.tar.bz2
* Tue Mar 14 2000 - bk@suse.de
- disabled kernel headers in the file list
* Sat Mar 11 2000 - bk@suse.de
- added isapnp to Requires:
* Thu Mar 09 2000 - ro@suse.de
- removed k_deflt from neededforbuild  (endless rebuild-loop)
* Thu Mar 09 2000 - bk@suse.de
- fixed new selfwritten 0.5.5 alsaconf to actually work, new version: 0.5.5a
* Tue Mar 07 2000 - bk@suse.de
- added gamix from http://www1.tcnet.ne.jp/fmurata/linux/down/
- alsa modules are no longer built here.
- wrote listcards.sh and added generated /usr/doc/packages/alsa/cards.txt
* Sun Mar 05 2000 - ro@suse.de
- added Makefile.module and subpackage km_alsa to build the
  kernel-modules
* Sat Mar 04 2000 - bk@suse.de
- updated to cvsexport 2000-03-03.tar.bz2
- removed not longer needed alsa-driver-configure.in.dif
- wrote quick hack alsaconf update from 0.4 to 0.5
* Thu Mar 02 2000 - bk@suse.de
- updated to alsa-0.5.5, cvsexport 2000-03-02.tar.bz2
* Thu Feb 24 2000 - bk@suse.de
- fixed alsa-driver configure to check autoconfig.h instead of cpuinfo
* Thu Feb 24 2000 - bk@suse.de
- fixed up /usr/src/kernel-modules/alsa-driver source dir.
* Thu Feb 24 2000 - bk@suse.de
- added alsa-driver source tree in /usr/src/kernel-modules/alsa-driver
* Fri Feb 18 2000 - bk@suse.de
- ALSA 0.5 is back! Version 0.5.3 (cvsexport 2000-02-19)
- alsa config will be done through the yast2 module, or thorugh
  a termplat in the default modules.conf, which will be simple
  because 0.5 has PnP and PCI support.
- removed hack which got alsa compiled even if lx_suse disabled
  soundcore.o
- Added missing Dependency to dialog(Bug #1998)
* Mon Feb 14 2000 - bk@suse.de
- went back to alsa-0.4.1i, last 0.5.2 version moved to BETA for
  later re-use when the new alsaconf for 0.5.2 is stable.
* Tue Feb 08 2000 - bk@suse.de
- updated to improved, sent-back Makefile version from Jaroslav
- fixed and improved the Makefile further (now builds on AXP too)
- ensure that /usr/src/linux/.config is suitable for building ALSA
  (didn't exist on AXP)
* Mon Feb 07 2000 - uli@suse.de
- fixed (again) for PPC
* Sun Feb 06 2000 - bk@suse.de
- updated to alsa-0.5.2, cvsexport 2000-02-05
- based on pthomas's initial alsa5 work.
- alsaconf for alsa5 included and works if only the alsa modules
  which this package actively lists in the filelist are installed.
* Fri Jan 14 2000 - bk@suse.de
- rpm version number fix (0.4.1d -> 0.4.1i)
* Thu Jan 13 2000 - uli@suse.de
- fixed wavefront.c for PPC
* Wed Jan 05 2000 - pthomas@suse.de
- fixed spec file to include the OSS emulation modules in file list
* Tue Jan 04 2000 - bk@suse.de
- another fix related to the previous alsaconf fixes.
* Tue Jan 04 2000 - bk@suse.de
- updated alsa-driver to alsa-driver-0.4.1i
- updated alsa-lib to alsa-lib-0.4.1e
- fixed some problems in alsaconf (Audiodrive18xx,ES1370 and others)
- improved alsaconf and alsasound scripts for /etc/asound.conf handling.
* Thu Nov 11 1999 - bk@suse.de
- added changes from Phillip, oss-Modules vanished, I hope, this is correct.
* Sun Nov 07 1999 - bk@suse.de
- fixed garbled sceen messages in alsaconf, now pretty window.
- run alsaconf stop on if alsa is loaded at startup of alsaconf.
* Sat Nov 06 1999 - bk@suse.de
- added rcalsasound stop to alsaconf and say in the intro: close all sndapps
* Fri Nov 05 1999 - bk@suse.de
- fixed ESS AudioDrive ES16x8 detecton and generating of
  /etc/conf.modules for this card. It works now, great!
* Fri Nov 05 1999 - bk@suse.de
- fixes and updates to alsasound.diff from Phillip
- updated alsaconf to alsaconf-0.4.2(only change: fix for AWE64)
* Fri Nov 05 1999 - bk@suse.de
- added changes from Klaus: Initilaze 2nd PCM on ESS 1969 chipset
  and fix y/z-typo.
- set PCM volume initial to 100%%(Master output is still 50%%) so people
  without a big amplifier will hear something and added a note for
  people with big amplifiers to lower volumer or say no at the play
  test sample question.
* Fri Nov 05 1999 - ro@suse.de
- removed devices, now in "devs" package
* Tue Nov 02 1999 - bk@suse.de
- fixed a bug alsaconf to configure the ESS Solo 1 Type Sound cards.
  (thanks to Thorsten Kukuk for testing and lending me his Travelmate
  to fix it)
  BTW: The ESS Solo 1 is detected and configured automatically now.
* Tue Nov 02 1999 - bk@suse.de
- this one should make alsa really nice to use:
- run /sbin/init.d/alsasound stop&start from alsaconf
- initialize mixers to open channels
- added a sound sample to the package and play it in alsaconf
- added some help for the user to the end of alsaconf
* Mon Nov 01 1999 - bk@suse.de
- fixed a small bug in alsaconf and added a supporting ending message
* Fri Oct 29 1999 - bk@suse.de
- added /usr/sbin/alsaconf to the filelist
* Mon Oct 25 1999 - bk@suse.de
- added alsaconf, a tool for configuring the alsa driver! Try it!
- added updates for README.SuSE and /sbin/init.d/alsasound from Philipp Thomas
* Sun Oct 24 1999 - bk@suse.de
- updated alsa-driver to 0.4.1d
  minor bugfixes (CMI8330, 2+ soundcards, modules.conf handling,
  documentation files).
  Upgrade is recommended if your system has 2 or more soundcards.
- updated alsa-lib    to 0.4.1d (PCM cleanup fixes)
* Wed Oct 20 1999 - bk@suse.de
- %%files: use a static list of sound drivers instead of wildcards.
* Mon Oct 11 1999 - bk@suse.de
- updated alsa-driver to 0.4.1c
* Mon Oct 11 1999 - ro@suse.de
- patched to compile wavefront.c on axp
- simplified specfile
* Tue Sep 21 1999 - ro@suse.de
- fixed filelist
* Sat Sep 18 1999 - bk@suse.de
- major update to version 0.4.1b, many changes
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Aug 29 1999 - ro@suse.de
- set kernel-version to 2.2.12
* Tue Jul 20 1999 - bk@suse.de
- added libtoolize --force to use ltconfig and ltmain from libtool
* Sat Jul 17 1999 - ro@suse.de
- set kernel version to 2.2.10
* Fri Jul 16 1999 - ro@suse.de
- fixed filelist
* Thu Jul 15 1999 - bk@suse.de
- minor doku update, Check added, postinstall exits with value 0.
* Mon Jun 28 1999 - uli@suse.de
- added missing header files
* Fri Jun 04 1999 - ro@suse.de
- changed kernel-ver to 2.2.9
* Sat May 22 1999 - bk@suse.de
- fixed compile problem on alpha
- Documentation cleanup
- postinstall fixes
* Sat May 01 1999 - ro@suse.de
- made the kernel-version a macro
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Apr 01 1999 - ro@suse.de
- changed "-"in Version to "_"
- activated patch to get README.SuSE
- cut down post-script
* Thu Apr 01 1999 - bk@suse.de
- new package - Advanced Linux Sound Architecture (ALSA)
  version : CVS snapshot 1993-03-28
  homepage: http://alsa.jcu.cz
  patches : none, except README.SuSE and a fix to the alsasound script.
